## Special Function (special_function)

Special functions (special_function) are special functions which are not restricted to specific data types.

### Syntax

<special_function> ::=
<case_function>
| DECODE (<check_expression>,<search_and_result_spec>,...[,<default_expression>])
| GREATEST (<expression>,<expression>,...)
| LEAST (<expression>,<expression>,...)
| VALUE (<expression>,<expression>,...)

<case_function> ::= <simple_case_function>|<searched_case_function>

<check_expression> ::= <expression>

<search_and_result_spec> ::= <search_expression>,<result_expression>

<default_expression> ::= <expression>

<result_expression> ::= <expression>

### Explanation

A distinction is made between simple and general CASE functions.

See also:

Functions: Overview